/* GLOBAL VARS */

/* Fonts */

@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,400;0,700;1,400;1,700&display=swap');

/* Global variables */

html {
    color-scheme: dark;

    /* Colors */
    --bg: #08031f;
    --bg-dim: #12023B;
    --print: rgb(255, 255, 255);
    --print-dim: rgba(255, 255, 255, 0.75);
    --print-border: rgba(255, 255, 255, 0.15);
    --bg-card: rgba(255, 255, 255, 0.1);

    /* Brand colors */
    --primary: rgb(255,0,255);
    --print-primary: white;
    --print-primary-dim: rgba(255, 255, 255, 0.85);

    /* Unchanging colors */
    --white: white;
    --black: black;
    --white-border: rgba(255, 255, 255, 0.15);
    --black-border: rgba(0, 0, 0, 0.15);

    /* Typography */
    --font: "Poppins", sans-serif;
    --font-size: 18px;

    /* Values */
    --radius: 30px;
    --gap-small: 10px;
    --gap: 20px;
    --gap-large: 30px;
    --gap-section: 100px;
    --container-width: 1330px;
}

/* HELPERS / CSS RESET */

/* CSS Reset */

*, *::before, *::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    font-size: var(--font-size);
}

body {
    margin: 0;
    background-color: var(--bg);
    color: var(--print);
    font-family: var(--font);
    display: flex;
    flex-direction: column;
}

img {
    display: block;
    max-width: 100%;
}

a {
    color: inherit;
    text-decoration: inherit;
    cursor: pointer;
}

button {
    border: none;
    margin: 0;
    padding: 0;
    width: auto;
    overflow: visible;

    background: transparent;

    /* inherit font & color from ancestor */
    color: inherit;
    font: inherit;

    /* Normalize `line-height`. Cannot be changed from `normal` in Firefox 4+. */
    line-height: normal;

    /* Corrects font smoothing for webkit */
    -webkit-font-smoothing: inherit;
    -moz-osx-font-smoothing: inherit;

    /* Corrects inability to style clickable `input` types in iOS */
    -webkit-appearance: none;

    cursor: pointer;
}

/* Truncation */

.truncate {
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    line-clamp: 3;
    -webkit-box-orient: vertical;
}

/* Columns */

.cols {
    display: flex;
    gap: var(--gap);
    /* flex-wrap: wrap; */
    justify-content: flex-end;
    height: fit-content;
}

.col {
    flex-basis: 0;
    flex-grow: 1;
    flex-shrink: 1;
}

.center {
    align-items: center;
}

.cols.flip {
    flex-direction: row-reverse;
}

.cols.sep {
    justify-content: space-between;
}

/* Grid */

.grid-2, .grid-3, .grid-4 {
    display: grid; 
    gap: var(--gap);
}

.grid-2 {
    grid-template-columns: 1fr 1fr;
}

.grid-3 {
    grid-template-columns: 1fr 1fr 1fr;
}

.grid-4 {
    grid-template-columns: 1fr 1fr 1fr 1fr;
}

/* Aspect ratio */

.aspect {
    position: relative;
    padding-bottom: 56.25%; /* 16:9, for an aspect ratio of 1:1 change to this value to 100% */
    display: block;
}

.aspect iframe, .aspect img, .aspect .ratio {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.aspect img, .video-iframe img {
    object-fit: cover;
}

/* Container */

.container {
    max-width: var(--container-width);
    margin: auto;
    padding-left: var(--gap-large);
    padding-right: var(--gap-large);
}

/* Cover */

.cover {
    background-position: center !important;
    background-repeat: no-repeat !important;
    background-size: cover !important;
    color: var(--print);
    position: relative;
}

/* Layout */

body, .layout {
    display: flex;
    flex-direction: column;
    gap: 0;
}

.layout {
    gap: var(--gap);
}

body {
    min-height: 100vh;
    background: linear-gradient(90deg, var(--bg) 0%, rgba(0, 0, 0, 0) 50%, var(--bg) 100%), url("/assets/img/backgrounds/body-bg-wide.png"), var(--bg);
    background-color: var(--bg);
    background-position: center !important;
    background-repeat: repeat-y !important;
    /* background-size: cover !important; */
}

/* Margins */

.mb {
    margin-bottom: var(--gap-section);
}

.mt {
    margin-top: var(--gap-section);
}

.pb {
    padding-bottom: var(--gap-section);
}

.pt {
    padding-top: var(--gap-section);
}

.nt {
    margin-top: var(--gap);
}

.nt-p {
    margin-top: var(--gap);
}

.nb {
    margin-bottom: var(--gap);
}

/* Subtitle */

.subtitle {
    font-weight: bold;
    display: flex;
    align-items: center;
    gap: 5px;
    font-size: 1.1rem;
}

.subtitle svg {
    width: 1.3rem;
    color: var(--primary);
}

.subtitle::after {
    content: "";
    display: block;
    width: 75px;
    height: 5px;
    background-color: var(--primary);
    border-radius: var(--radius);
    margin-left: 10px;
    animation: subtitle-move 3s infinite ease-in-out alternate;
}

@keyframes subtitle-move {
	50% {
		width: 100px;
	}
}

/* BUTTONS */

/* Group of buttons */

.btns {
    display: flex;
    align-items: center;
    gap: var(--gap);
    width: fit-content;
    position: relative;
    flex-wrap: wrap;
}

.btns-design {
    position: relative;
    margin-left: 130px;
    right: 0;
    top: 50%;
    transform: translateY(-5px) rotate(185deg) scaleY(-1);
    animation: btns-design-move 5s infinite ease-in-out alternate;
}

.btns-design svg {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 150px;
    color: var(--primary);
}

@keyframes btns-design-move {
	50% {
		margin-left: 70px;
	}
}

.btn-wide {
    width: 100% !important;
}

.btn-wide.btn-text {
    justify-content: center;
}

/* Button icon */

.btn svg, .btn-text svg {
    width: 1.1rem;
    color: var(--primary);
}

/* Primary Button */

.btn {
    /* text-transform: uppercase; */
    display: inline-flex;
    gap: 5px;
    align-items: center;
    justify-content: center;
    background-color: var(--primary);
    color: var(--print-primary);
    border-radius: 30px;
    font-weight: bold;
    padding: 12px 25px;
    font-size: 1rem;
    width: fit-content;
    user-select: none;
    transition: 0.25s ease color;
    overflow: hidden;
    position: relative;
    /* box-shadow: rgb(0 0 0 / 15%) 0px 2px 5px; */
    transition: 0.25s ease opacity;
    user-select: none;
    cursor: pointer;
}

.btn.disabled, .btn[disabled] {
    opacity: 0.5;
    cursor: default;
}

.btn:hover , .btn:focus {
    opacity: 0.5;
}

.btn svg {
    color: var(--print-primary);
    width: 1.2rem;
}

/* Text Button */

.btn-text {
    font-weight: bold;
    display: inline-flex;
    gap: 5px;
    transition: 0.25s ease color;
    user-select: none;
    height: fit-content;
    padding-bottom: 2px;
}

.btn-text span {
    text-decoration: underline;
    text-decoration-color: var(--primary);
    text-decoration-thickness: 2px;
    text-underline-position: under;
}

.btn-text:hover, .btn-text:focus {
    color: var(--primary);
}

.btn-text svg {
    transition: transform 0.25s ease;
}

.btn-text:hover svg, .btn-text:focus svg {
    transform: translateX(10px);
}

.btn-text.btn-wide:hover svg, .btn-text.btn-wide:focus svg {
    transform: translateX(0) !important;
}

/* NAVBAR STUFF */

/* Navbar variables */

html{
    --navbar-height: 100px;
}

/* Navbar spacer */

.navbar-spacer {
    height: var(--navbar-height);
}

/* Logo */

.logo {
    flex-shrink: 0;
    display: flex;
    transition: 0.25s ease opacity;
}

.logo img {
    width: 55px;
}

a.logo:hover, a.logo:focus {
    opacity: 0.5;
}

/* Navbar */

.navbar-scrolled {
    background-color: var(--bg);
}

.navbar-wrapper {
    z-index: 100;
    position: fixed;
    width: 100%;
    height: var(--navbar-height);
    border-bottom: 1px solid var(--print-border);
    transition: background-color 0.25s ease;
}

.navbar, .navbar-section, .navbar-links {
    display: flex;
    align-items: center;
}

.navbar {
    justify-content: space-between;
}

.navbar-section {
    height: var(--navbar-height);
    gap: var(--gap);
    flex-shrink: 0;
}

.navbar-link {
    padding: 0 var(--gap);
    display: flex;
    align-items: center;
    gap: 5px;
    height: var(--navbar-height);
    transition: 0.25s ease opacity;
}

.navbar .navbar-links svg {
    width: 1.2rem;
    transition: 0.25s ease transform;
}

.navbar-link:hover, .navbar-link:focus {
    opacity: 0.5;
}

.navbar-link:hover svg, .navbar-link:focus svg {
    transform: rotate(-180deg);
}

/* Dropdown */

.dropdown:hover .navbar-link svg {
    transform: rotate(-180deg);
}

.dropdown:hover .navbar-link {
    opacity: 0.5;
}

.dropdown {
    position: relative;
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: var(--bg);
    color: var(--print);
    left: 0;
    width: fit-content;
    margin-top: 0;
    opacity: 0;
    flex-direction: column;
    box-shadow: rgba(14, 63, 126, 0.04) 0px 0px 0px 1px, rgba(42, 51, 69, 0.04) 0px 1px 1px -0.5px, rgba(42, 51, 70, 0.04) 0px 3px 3px -1.5px, rgba(42, 51, 70, 0.04) 0px 6px 6px -3px, rgba(14, 63, 126, 0.04) 0px 12px 12px -6px, rgba(14, 63, 126, 0.04) 0px 24px 24px -12px;
    border: 1px solid var(--print-border);
    border-top: 0px solid;
    z-index: 100;
    border-bottom-left-radius: 15px;
    border-bottom-right-radius: 15px;
    overflow: hidden;
}

.dropdown:hover .dropdown-content {
    display: flex;
    opacity: 1;
}

.dropdown-content a {
    padding: 15px;
    display: flex;
    align-items: center;
    gap: var(--gap-small);
    justify-content: space-between;
    border-bottom: 1px solid var(--print-border);
    transition: background-color 0.25s ease;
    white-space: nowrap;
}

.dropdown-content a svg {
    color: var(--primary);
    width: 1.2rem;
}

.dropdown-content a.active, .dropdown-content a:hover {
    background-color: var(--print-border);
}

.dropdown-content a:last-of-type {
    border-bottom: 0px;
}

.dropdown-content a i {
    color: var(--primary);
    font-size: 1.2rem;
}

/* CTA */

.cta-content {
    display: flex;
    align-items: center;
    gap: var(--gap-large);
}

.cta-text {
    font-size: 10rem;
    font-weight: bold;
    line-height: 1;
    flex: 1;
    position: relative;
}

.cta-text svg {
    width: 300px;
    color: var(--primary);
    position: absolute;
    z-index: 3;
    right: 30px;
    bottom: 0;
    transform: translateY(50px) rotate(-20deg);
    z-index: -1;
    user-select: none;
}

.cta-text img {
    width: 200px;
    position: absolute;
    top: 50%;
    right: 50%;
    transform: translate(-50%, -50%);
    z-index: -1;
    filter: drop-shadow(0 19px 50px rgba(13, 1, 39, 0.75)) opacity(0.5);
    /* opacity: 0.5; */
    display: block;
    user-select: none;
}

.cta-btn {
    width: 175px;
    height: 175px;
    background-color: var(--primary);
    color: var(--print-primary);
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    font-weight: bold;
    font-size: 1.1rem;
    flex-shrink: 0;
    transition: 0.25s ease opacity;
    cursor: pointer;
    user-select: none;
}

.cta-btn:hover {
    opacity: 0.5;
}

.cta-btn svg {
    width: 2.5rem;
}

/* FOOTER */

.footer-border {
    width: 100%;
    height: 1px;
    background-color: var(--print-border);
    flex-shrink: 0;
}

.footer-wrapper {
    border-top: 1px solid var(--print-border);
    padding: 50px 0;
}

.footer {
    display: flex;
    flex-direction: column;
    gap: var(--gap-large);
}

.footer .col {
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.footer-links {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 15px;
}

.footer p {
    line-height: 1.5;
    color: var(--print-dim);
}

.footer-title {
    font-size: 1.3rem;
    font-weight: bold;
}

.footer-link {
    display: flex;
    align-items: center;
    gap: 5px;
    transition: 0.25s ease opacity;
}

.footer-link:hover {
    opacity: 0.5;
}

.footer-link svg {
    width: 1.1rem;
    color: var(--primary);
}

.footer-link-big {
    display: flex;
    align-items: center;
    gap: 10px;
    font-size: 1.2rem;
    border-bottom: 1px solid var(--print-border);
    padding-bottom: 15px;
    transition: 0.25s ease color;
}

a.footer-link-big:hover {
    color: var(--primary);
}

.footer-link-big svg {
    width: 1.5rem;
    color: var(--primary);
}

.footer-note {
    color: var(--print-dim);
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    gap: var(--gap);
}

.socials {
    display: flex;
    align-items: center;
    gap: var(--gap-small);
}

.socials .social {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 40px;
    height: 40px;
    background-color: var(--bg-card);
    border-radius: 50%;
    transition: 0.25s ease opacity;
    user-select: none;
}

.socials .social:hover {
    opacity: 0.5;
}

.socials .social svg {
    color: var(--print);
    width: 1.25rem;
}

/* HERO */

.hero-content {
    display: flex;
    flex-direction: column;
    gap: var(--gap);
}

.hero {
    overflow-x: hidden;
}

.hero.cover {
    background-image: radial-gradient( ellipse closest-side, rgba(0, 0, 0, 0.5), var(--bg) ), url('/assets/img/backgrounds/hero-bg-wide.png');
}

.hero .cols {
    gap: var(--gap-large);
}

.hero-content h1 {
    line-height: 1.1;
    font-weight: bold;
    font-size: 4rem;
}

.hero-content h1 span {
    color: var(--primary);
}

.hero-content p {
    line-height: 1.5;
    font-size: 1.1rem;
    color: var(--print-dim);
}

.hero-images {
    position: relative;
}

.hero-image img {
    width: 100%;
}

.hero-image {
    margin: 0 var(--gap-section);
    z-index: 2;
    position: relative;
}

.hero-image-design {
    width: fit-content;
    height: fit-content;
    position: absolute;
    user-select: none;
}

.hero-image-design-1 {
    left: -20px;
    top: 40%;
    transform: rotate(-20deg) scaleX(-1);
}

.hero-image-design-2 {
    right: -20px;
    bottom: 40%;
    transform: rotate(-20deg) scaleY(-1);
}

.hero-image-design img, .hero-image-design svg {
    width: 150px;
    color: var(--primary);
}

.hero .btns {
    width: 100%;
    gap: var(--gap-large);
    margin-top: var(--gap-large);
}

/* SCROLLER */

.scroller {
    width: 100%;
    background-color: var(--primary);
    color: var(--print-primary);
    padding: var(--gap) 0;
}

.scroller.scroller-small {
        padding: var(--gap-small) 0;
}
.scroller-small .scrolling-content-item {
    font-size: 1.5rem;
}

.scroller-content {
	position: relative;
	display: flex;
	overflow: hidden;
	user-select: none;
	gap: var(--gap-large);
	align-items: center;
}

.scrolling-content {
	flex-shrink: 0;
	display: flex;
	gap: var(--gap-large);
	min-width: 100%;
	animation: scroll 45s linear infinite;
}

.scrolling-content-item {
    font-size: 2rem;
    font-weight: bold;
    gap: var(--gap-large);
    display: flex;
    align-items: center;
}

.scrolling-content-item svg {
    width: 2rem;
}

@keyframes scroll{
	from{
		transform: translateX(0);
	}

	to{
		transform: translateX(calc(-100% - var(--gap)));
	}
}

/* SECTION */

.paginator {
    display: flex;
    justify-content: space-between;
}

.image-404 {
    /* max-width: 700px; */
    width: 700px;
    margin-bottom: var(--gap);
}

.section-divider {
    height: auto;
    width: 5px;
    background-color: var(--primary);
    flex-shrink: 0;
    border-radius: var(--radius);
    position: relative;
    user-select: none;
}

.section-divider span {
    position: absolute;
    background-color: var(--primary);
    font-weight: bold;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 1.1rem;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.section-content {
    display: flex;
    flex-direction: column;
    gap: var(--gap);
    padding: 50px 0;
}

.section-content p b {
    color: var(--print);
}

.section-content .btns {
    margin-top: auto;
}

.section-number {
    font-size: 5rem;
    line-height: 0.9;
    color: var(--primary);
    font-weight: bold;
}

.discord-channel {
    color: var(--print);
}

.section-content-no-pad {
    padding: 0 !important;
}

.section-extra-cols {
    margin-top: var(--gap-large);
}

.requests-grid {
    grid-template-columns: 3fr 1fr;
}

.grid-video {
    position: relative;
    transition: 0.25s ease opacity;
    display: block;
    cursor: pointer;
    user-select: none;
}

.grid-video:hover {
    opacity: 0.5;
}

.grid-video img {
    border-radius: var(--radius);
}

.grid-video-play {
    width: 50px;
    height: 50px;
    background-color: var(--primary);
    border-radius: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.grid-video-play svg {
    width: 1.4rem;
    color: var(--print-primary);
}

.grid-videos {
    padding-top: var(--gap);
    gap: var(--gap-large);
}

.grid-video-label {
    padding: var(--gap);
    border: 1px solid var(--print-border);
    border-radius: var(--radius);
    height: 100%;
    gap: 0;
    justify-content: space-between;
}

.grid-video-label .grid-video-label-title {
    font-size: 1.3rem;
    font-weight: bold;
    line-height: 1.2;
}

.section {
    position: relative;
    overflow: hidden;
}

.section-design {
    position: absolute;
    z-index: -2;
    right: var(--gap-large);
    top: 50%;
    transform: translateY(calc(-50% + 150px));
    user-select: none;
}

.section-design-otherside {
    right: unset;
    left: var(--gap-large);
}

.section-design img {
    width: 200px;
    opacity: 0.25;
    animation: section-design-move-bg 20s infinite ease-in-out alternate;
}

@keyframes section-design-move-bg {
	50% {
		transform: translateY(-150px) rotate(360deg);
	}
}

.section .cols {
    gap: 50px;
}

.section h1 {
    font-size: 3rem;
    line-height: 1.1;
    font-weight: bold;
}

.section h1 span {
    color: var(--primary);
}

.section p {
    line-height: 1.5;
    color: var(--print-dim);
}

.section-list {
    display: flex;
    flex-direction: column;
    gap: var(--gap-small);
}

.section-list-item {
    display: flex;
    gap: var(--gap-small);
}

.section-list-item-bullet {
    transform: translateY(2px);
}

.section-list-item-bullet svg {
    width: 1.2rem;
    color: var(--primary);
}

.section-list-item-content {
    line-height: 1.5;
    color: var(--print-dim);
}

.stats {
    display: flex;
    justify-content: space-between;
    padding: var(--gap-small) 0;
}

.stats .stat {
    display: flex;
    flex-direction: column;
    gap: var(--gap-small);
}

.stats .stat .stat-value {
    font-size: 2rem;
    font-weight: bold;
    line-height: 1;
    color: var(--primary);
}

.stats .stat .stat-label {
    color: var(--print-dim);
    line-height: 1;
}

.stats .stat-border {
    flex-shrink: 0;
    width: 1px;
    height: auto;
    background-color: var(--print-border);
}

.section-footnote {
    color: var(--print-dim);
    font-size: 0.9rem;
    line-height: 1.1;
    font-style: italic;
    line-height: 1.5;
}

.section-images {
    position: relative;
    width: 100%;
    height: 100%;
}

.section-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: var(--radius);
}

.section-video iframe {
    border-radius: var(--radius);
    border: 10px solid var(--primary);
}

.section-video-label {
    font-weight: bold;
    color: var(--print-primary);
    background-color: var(--primary);
    padding: var(--gap-small) var(--gap-large);
    width: fit-content;
    margin: auto;
    border-bottom-left-radius: var(--radius);
    border-bottom-right-radius: var(--radius);
    font-size: 1.25rem;
    user-select: none;
}

.section-video-label span {
    transform: translateY(-5px);
    display: block;
}

.section-image-label-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: var(--radius);
    position: absolute;
    border: 10px solid var(--primary);
}

.section-image-label-labels {
    border-top-right-radius: var(--radius);
    border-bottom-right-radius: var(--radius);
    display: flex;
    flex-direction: column;
    gap: var(--gap);
    background-color: var(--primary);
    color: var(--print-primary);
    margin-left: -20px;
    width: 100%;
    padding: var(--gap-large);
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
}

.section-image-label-label {
    display: flex;
    flex-direction: column;
    gap: var(--gap-small);
}

.section-image-label-label-title {
    font-size: 1.2rem;
    font-weight: bold;
    line-height: 1;
}

.section-image-label-label-content {
    line-height: 1.5;
    color: var(--print-primary-dim);
}

.section-image-label-divider {
    width: 100%;
    height: 1px;
    background-color: var(--print-dim);
    border-radius: var(--radius);
}

.section-image-label {
    position: relative;
    width: 100%;
    height: 100%;
}

.section-image.tr img {
    width: 75% !important;
    height: 75% !important;
    top: 0;
    right: 0;
    position: absolute;
}

.section-image.bl img {
    width: 50% !important;
    height: 50% !important;
    bottom: 0;
    left: 0;
    position: absolute;
    z-index: 2;
    box-shadow: 0 19px 38px rgba(15, 0, 44, 0.3), 0 15px 12px rgba(21, 0, 39, 0.22);
}

.section-image-design {
    width: fit-content;
    height: fit-content;
    position: absolute;
    user-select: none;
}

.section-image-design-1 {
    right: 20px;
    bottom: 0;
    transform: rotate(50deg);
    z-index: -1;
}

.section-image-design-4 {
    left: -80px;
    bottom: 0;
    transform: rotate(-250deg) scaleY(-1);
    z-index: -1;
}

.section-image-design svg {
    width: 150px;
    color: var(--primary);
}

.section-image-design-1 svg {
    animation: section-design-move 5s infinite ease-in-out alternate;
}

@keyframes section-design-move {
	50% {
		transform: translate(-50px, 50px);
	}
}

.section-image-design-2 {
    top: 50px;
    left: 50px;
    z-index: -1;
}

.section-image-design-2 img {
    width: 75px;
}

.section-content-center {
    align-items: center;
    justify-content: center;
    text-align: center;
}

.section-content-center .subtitle::after {
    animation: subtitle-move-2 6s infinite ease-in-out alternate;
}

@keyframes subtitle-move-2 {
	50% {
		transform: scaleX(-1);
	}
}

.section-image-design-3 {
    bottom: 0;
    right: 0;
    z-index: -1;
}

.section-image-design-3 img {
    height: 40px;
}

.section-content-center h1, .section-content-center p {
    max-width: 800px;
}

/* CARDS */

.panel {
    background-color: var(--bg-card);
    border: 1px solid var(--print-border);
    padding: var(--gap);
    border-radius: var(--radius);
}

.lead {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 5px;
}

.lead svg {
    flex-shrink: 0;
    color: var(--primary);
    width: 1.2rem;
}

.lead span {
    font-weight: bold;
}

.section .cards {
    margin-top: 20px;
}

.cards {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: var(--gap-large);
    width: 100%;
}

.cards .card {
    display: flex;
    flex-direction: column;
    gap: 15px;
    background-color: var(--bg-card);
    border: 1px solid var(--print-border);
    padding: var(--gap);
    border-radius: var(--radius);
    justify-content: center;
    align-items: center;
    text-align: center;
    text-align: center;
}

.cards .card .btn {
    margin-top: auto;
}

.cards .card.card-left {
    text-align: left;
    align-items: start;
    justify-content: left;
}

.cards .card .card-icon {
    margin-bottom: -10px;
}

.cards .card .card-icon svg {
    width: 3rem;
    color: var(--primary);
}

.cards .card h2 {
    font-size: 1.5rem;
    font-weight: bold;
    line-height: 1.1;
}

.cards .card p {
    line-height: 1.5;
    color: var(--print-dim);
}

.archives {
    display: flex;
    flex-direction: column;
    gap: var(--gap);
}

.archive {
    display: flex;
    justify-content: space-between;
    gap: var(--gap);
}

.archive-type {
    width: 50px;
    font-weight: bold;
    transition: 0.25s ease color;
}

.archive-title {
    flex: 1;
    transition: 0.25s ease color;
}

.archive-type:hover, .archive-title:hover {
    color: var(--primary);
}

.archive-divider {
    height: 1px;
    width: 100%;
    background-color: var(--print-border);
}

.event {
    text-align: left;
    justify-content: left;
    align-items: start;
    display: flex;
    flex-direction: column;
    gap: var(--gap);
    background-color: var(--bg-card);
    border: 1px solid var(--print-border);
    padding: var(--gap);
    border-radius: var(--radius);
}

.event hr {
    border: 0px;
    width: 100%;
    height: 1px;
    background-color: var(--print-border);
    margin: 2px 0;
}

.event-title h2, .event-desc p {
    transition: 0.25s ease color;
}

.event-title:hover h2 {
    color: var(--primary);
}

a.event-desc:hover p {
    color: var(--print);
}

.event-image {
    width: 100%;
    overflow: hidden;
    position: relative;
    border-radius: var(--radius);
    display: block;
}

a.event-image {
    cursor: pointer;
}

.event-image img {
    border-radius: var(--radius);
    transition: 0.25s ease transform;
}

a.event-image:hover img {
    transform: scale(1.25);
}

.event h2 {
    font-weight: bold;
    font-size: 1.2rem;
    line-height: 1.2;
}

.event p {
    line-height: 1.5;
    color: var(--print-dim);
}

.event .btn {
    margin-top: auto;
}

.event .time-untils {
    display: flex;
    align-items: center;
    border: 1px solid var(--print-border);
    border-radius: var(--radius);
    width: 100%;
}

.event .time-until {
    flex: 1;
    align-items: center;
    justify-content: center;
    display: flex;
    flex-direction: column;
    padding: 10px;
    gap: 3px;
}

.event .time-until-value {
    font-size: 1.1rem;
    font-weight: bold;
    line-height: 1;
}

.event .time-until-label {
    color: var(--print-dim);
    line-height: 1;
}

.event .time-until-divider {
    flex-shrink: 0;
    height: 100%;
    width: 1px;
    background-color: var(--print-border);
}

.post {
    text-align: left;
    justify-content: left;
    align-items: start;
    display: flex;
    flex-direction: column;
    gap: var(--gap);
}

.post .btn {
    margin-top: auto;
}

.post-image {
    width: 100%;
    display: block;
    overflow: hidden;
    position: relative;
    border-radius: var(--radius);
    cursor: pointer;
}

.post-image img {
    border-radius: var(--radius);
    transition: 0.25s ease transform;
}

.post-image:hover img {
    transform: scale(1.25);
}

.post-title {
    font-weight: bold;
    font-size: 1.2rem;
    line-height: 1.2;
    transition: 0.25s ease color;
}

.post-title:hover {
    color: var(--primary);
}

.post-desc {
    line-height: 1.5;
    color: var(--print-dim);
    transition: 0.25s ease color;
}

.post-desc:hover {
    color: var(--print);
}

.post-meta, .post-meta-item {
    display: flex;
    align-items: center;
    gap: var(--gap-small);
}

.post-meta-item {
    gap: 5px;
}

.post-meta-item-icon svg {
    width: 1.1rem;
    color: var(--primary);
}

.post-meta-item-icon {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-shrink: 0;
}

.post-meta-item-label {
    color: var(--print-dim);
    line-height: 1;
}

.post-meta-item-label a {
    transition: 0.25s ease color;
}

.post-meta-item-label a:hover {
    color: var(--print);
}

.big-socials {
    gap: 50px !important;
}

.big-social {
    position: relative;
    background-color: var(--bg-card);
    border: 1px solid var(--print-border);
    padding: var(--gap);
    padding-left: 65px;
    border-radius: 150px;
    text-align: left !important;
    display: flex;
    justify-content: space-between;
}

.big-social-btn {
    background-color: var(--primary);
    color: var(--print-primary);
    height: calc(100%);
    min-width: 30px;
    aspect-ratio: 1;
    border-radius: 50%;
    display: inline;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-shrink: 0;
    cursor: pointer;
    transition: 0.25s ease opacity;
}

.big-social-btn:hover {
    opacity: 0.5;
}

.big-social-btn svg {
    width: 2rem;
}

.big-social-content {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.big-social-icon {
    position: absolute;
    left: -25px;
    top: -25px;
    width: 75px;
    height: 75px;
    background-color: #2f2a4d;
    border: 1px solid var(--print-border);
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.big-social-icon svg {
    width: 2.5rem;
    color: var(--print);
}

.big-social-title {
    font-weight: bold;
    font-size: 1.2rem;
    line-height: 1;
}

.big-social-desc {
    color: var(--print-dim);
    line-height: 1.5;
}

/* search */

.search {
    display: flex;
    gap: var(--gap);
}

.search input {
    all: unset;
    height: auto;
    flex: 1;
    background-color: var(--bg-card);
    border: 1px solid var(--print-border);
    border-radius: var(--radius);
    font-family: var(--font);
    color: var(--print);
    padding: 0 var(--gap);
}

/* hero faq */

.hero-faq {
    text-align: left;
    display: flex;
    gap: var(--gap);
    margin-top: 20px;
}

.hero-faq-content {
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.hero-faq-icon {
    width: 50px;
    height: 50px;
    background-color: var(--primary);
    flex-shrink: 0;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.hero-faq-icon svg {
    color: var(--print-primary);
    width: 1.75rem;
}

.hero-faq h2 {
    line-height: 1.3;
    font-size: 1.3rem;
}

.hero-faq p {
    color: var(--print-dim);
    line-height: 1.5;
}

.hero-faqs {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 30px;
}

/* Post */

.sidebar-wrapper {
    display: grid;
    grid-template-columns: 3fr 1fr;
}

.article-content {
    display: flex;
    flex-direction: column;
    gap: var(--gap);
}

.article-meta {
    display: flex;
    flex-direction: column;
    gap: var(--gap);
}

.article-meta h1 {
    font-size: 4rem;
    font-weight: bold;
    line-height: 1.1;
}

.article {
    display: flex;
    flex-direction: column;
    gap: var(--gap);
    min-width: 0;
}

.article hr {
    border: 0px;
    height: 5px;
    width: 100%;
    background-color: var(--primary);
    border-radius: var(--radius);
    margin: var(--gap) 0;
}

.article-meta-items {
    display: flex;
    flex-wrap: wrap;
    gap: var(--gap);
    border: 1px solid var(--print-border);
    border-radius: var(--radius);
    justify-content: space-between;
}

.article-meta-item-divider {
    flex-shrink: 0;
    width: 1px;
    height: 100%;
    background-color: var(--print-border);
}

.article-meta-item {
    display: flex;
    align-items: center;
    gap: var(--gap);
    padding: var(--gap);
    justify-content: center;
    flex: 1;
}

.article-meta-item-content {
    display: flex;
    flex-direction: column;
    gap: 0;
}

.article-meta-item-image img {
    height: 50px;
    width: 50px;
    object-fit: cover;
    border-radius: 50%;
    transition: 0.25s ease opacity;
}

.article-meta-item-image img:hover {
    opacity: 0.75;
}

.article-meta-item-image {
    flex-shrink: 0;
}

.article-meta-item-icon {
    height: 50px;
    width: 50px;
    border-radius: 50%;
    background-color: var(--primary);
    color: var(--print-primary);
    display: flex;
    align-items: center;
    justify-content: center;
    flex-shrink: 0;
}

.article-meta-item-icon svg {
    width: 1.5rem;
}

.article-meta-item-label {
    color: var(--print-dim);
}

.article-meta-item-value {
    font-weight: bold;
    font-size: 1.1rem;
    transition: 0.25s ease color;
}

a.article-meta-item-value:hover {
    color: var(--primary);
}

.tags {
    display: flex;
    gap: var(--gap);
    flex-wrap: wrap;
}

.tags .tag {
    border: 1px solid var(--print-border);
    border-radius: 30px;
    padding: 5px 20px;
    background-color: var(--bg-card);
    transition: background-color 0.25s ease;
    font-size: 0.9rem;
}

.tags .tag:hover {
    background-color: var(--print-border);
}

.heading-wrapper {
    position: relative;
    margin-top: 3rem;
}

.header-anchor {
    position: absolute;
    left: -3rem;
    top: -3rem;
}

.header-anchor svg {
    color: var(--print);
    opacity: 0.1;
    width: 6rem;
    transition: opacity 0.25s ease;
}

.header-anchor:hover svg {
    opacity: 0.25;
}

.article h1 {
    font-size: 2.5rem;
    line-height: 1.1;
}

.article pre {
    white-space: pre-wrap;
    background-color: var(--bg-card);
    border: 1px solid var(--print-border);
    padding: var(--gap);
    /* border-radius: var(--radius); */
    line-height: 1.5;
}

.article p, .article li {
    line-height: 1.5;
    font-size: 1.1rem;
    color: var(--print-dim);
}

.article strong, .article b {
    color: var(--print) !important;
}

.article p a, .article li a, .hero-faq-content a {
    color: var(--print);
    text-decoration: underline;
    text-decoration-color: var(--primary);
    text-decoration-thickness: 2px;
    text-underline-position: under;
    font-weight: bold;
    transition: 0.25s ease color;
}

.article p a:hover, .article li a:hover, .hero-faq-content a:hover {
    color: var(--primary);
}

.article li {
    margin-left: 30px;
    padding-left: 10px;
}

.article li::marker {
    color: var(--primary);
    font-weight: bold;
    margin-right: 5px;
}

.article-meta-image img {
    border-radius: var(--radius);
    width: 100%;
}

.article blockquote {
    font-style: italic;
    border-left: 5px solid var(--primary);
    padding-left: var(--gap-small);
}

/* Sidebar */

.sidebar-inner {
    display: flex;
    flex-direction: column;
    gap: var(--gap);
}

.sidebar-heading {
    font-weight: bold;
    font-size: 1.5rem;
}

.side-posts {
    display: flex;
    flex-direction: column;
    gap: var(--gap);
}

.side-post {
    display: flex;
    flex-direction: column;
    gap: var(--gap-small);
}

.side-post-title {
    font-weight: bold;
    transition: 0.25s ease color;
}

.side-post-title:hover {
    color: var(--primary);
}

.side-post-content {
    display: flex;
    flex-direction: column;
    gap: var(--gap-small);
}

.side-post-image {
    min-width: 100px;
    overflow: hidden;
    border-radius: var(--radius);
}

.side-post-image img {
    border-radius: var(--radius);
    transition: 0.25s ease transform;
}

.side-post-image:hover img {
    transform: scale(1.2);
}

/* Mobile menu */

.mobile-bg {
    display: none;
    position: fixed;
    z-index: 50;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.35);
    backdrop-filter: blur(2px);
    -webkit-backdrop-filter: blur(2px);
    cursor: pointer;
    opacity: 0;
    transition: opacity 0.25s ease;
}

.mobile {
    display: none;
    flex-direction: column;
    position: fixed;
    top: var(--navbar-height);
    z-index: 70;
    background-color: var(--bg);
    height: calc(100% - var(--navbar-height));
    /* width: 100%; */
    width: 300px;
    box-shadow: rgb(0 0 0 / 35%) 0px 5px 15px;
    transform: translateX(-110%);
    transition: transform 0.25s ease;
    overflow-y: auto;
    border-right: 1px solid var(--print-border);
    user-select: none;
}

.mobile hr {
    border: 0px;
    height: 1px;
    width: 100%;
    flex-shrink: 0;
    background-color: var(--print-border);
}

.mobile-padding {
    padding: var(--gap);
    border-top: 1px solid var(--print-border);
}

.mobile-link {
    padding: var(--gap);
    font-weight: bold;
    display: flex;
    align-items: center;
    gap: 6px;
    font-size: 1.2rem;
    text-underline-position: under;
}

.mobile-link span {
    text-decoration: underline;
    text-decoration-thickness: 2px;
    text-decoration-color: var(--primary);
}

.mobile-link.active span, .mobile-link:hover span, .mobile-link:focus span {
    color: var(--primary);
}

.mobile-link svg {
    width: 1.6rem;
    fill: var(--primary);
}

.mobile-link.active:focus span {
    color: var(--print);
}

.mobile-link.active:focus svg {
    fill: var(--print);
}

/* Mobile */

.menu-open {
    display: none;
    align-items: center;
    justify-content: center;
    padding: var(--gap-large);
    height: var(--navbar-height);
    background-color: var(--primary);
    color: var(--print-primary);
    /* aspect-ratio: 1; */
    transition: 0.25s ease opacity;
}

.menu-open:hover {
    opacity: 0.5;
}

.menu-open svg {
    width: 2.25rem;
}

.navbar-section-mobile {
    /* background-color: red; */
    flex: 1;
    margin: 0 var(--gap);
    font-weight: bold;
    font-size: 1.1rem;
    display: none;
    flex-shrink: 1 !important;
    overflow: hidden;
    position: relative;
}

.navbar-section-mobile::after {
    content: "";
    width: var(--gap);
    height: calc(100% - 5px);
    display: block;
    position: absolute;
    right: 0;
    background: linear-gradient(90deg,rgba(0, 0, 0, 0) 0%, var(--bg) 100%);
}

.navbar-section-mobile span {
    white-space: nowrap;
    position: absolute;
    display: block;
}

@media only screen and (max-width: 1200px) {
    .navbar .navbar-links {
        display: none;
    }
    .menu-open {
        display: flex;
    }
    .navbar-section-mobile {
        display: flex;
    }
    html {
        --navbar-height: 90px;
        --font-size: 16px;
    }
    .navbar.container {
        padding-left: 0;
    }
    .hero .btns {
        margin-top: 10px;
    }
    .hero-image {
        margin: 0 var(--gap-large);
    }
    .cta-text {
        font-size: 7.5rem;
    }
}

@media only screen and (max-width: 900px) {
    .hero .cols {
        display: grid;
        grid-template-columns: 1fr;
        gap: var(--gap-large);
    }
    .hero-content h1 {
        font-size: 3rem;
    }
    .hero-content p {
        font-size: 1rem;
    }
    .pt {
        padding-top: 50px;
    }
    .pb {
        padding-bottom: 50px;
    }
    .hero.pb {
        padding-bottom: 0;
    }
    .hero.pb.pb-keep {
        padding-bottom: 50px;
    }
    .section .cols {
        display: grid;
        grid-template-columns: 1fr;
        gap: var(--gap-large);
    }
    .section-content {
        padding: var(--gap) 0;
    }
    .cards {
        grid-template-columns: 1fr;
    }
    .section-images {
        height: 400px;
    }
    .section-images.section-images-video {
        height: inherit !important;
    }
    .grid-videos {
        grid-template-columns: 1fr 1fr;
        gap: var(--gap);
        margin-top: var(--gap);
    }
    .grid-video-label .grid-video-label-title {
        font-size: 1rem;
    }
    .section-design, .btns-design {
        display: none;
    }
    .requests-grid {
        grid-template-columns: 1fr;
        margin-top: 0;
        gap: var(--gap) !important;
    }
    .requests-grid .cards {
        gap: var(--gap);
    }
    .section-content h1 {
        font-size: 2rem;
    }
    .cards .card h2 {
        font-size: 1.25rem;
    }
    .hero-faqs {
        grid-template-columns: 1fr;
    }
    .nt {
        margin-top: 10px;
    }
    .footer .cols {
        display: grid;
        grid-template-columns: 1fr 1fr;
    }
    .footer .cols .col:first-child {
        grid-column: 1 / span 2; /* Starts at column line 1 and spans 3 columns */
    }
    .menu-open svg {
        width: 2rem;
    }
    .container {
        padding-left: var(--gap);
        padding-right: var(--gap);
    }
    .cta-text {
        font-size: 5rem;
    }
    .cta-text svg {
        width: 200px;
        transform: translateY(25px) rotate(-20deg);
    }
    .cta-btn {
        width: 150px;
        height: 150px;
    }
    .cta-content {
        gap: 0;
    }
    .menu-open {
        padding: var(--gap);
    }
    .big-social-icon {
        left: -15px;
        top: -15px;
        width: 60px;
        height: 60px;
    }
    .big-social {
        padding-left: 60px;
    }
    .sidebar-wrapper {
        display: grid;
        grid-template-columns: 1fr;
    }
    .side-post {
        flex-direction: row;
    }
    .side-post-image, .side-post-image img {
        border-radius: 10px !important;
    }
    .section-divider {
        height: 5px;
        width: 100%;
    }
}

@media only screen and (max-width: 700px) {
    .footer .cols {
        grid-template-columns: 1fr;
    }
    .footer .cols .col:first-child {
        grid-column: 1 / span 1; /* Starts at column line 1 and spans 3 columns */
    }
    .navbar .socials {
        display: none;
    }
    .cta-text {
        font-size: 4rem;
    }
    .cta-text svg {
        width: 100px;
        transform: translateY(10px) rotate(-20deg);
        right: 10px;
    }
    .cta-btn {
        width: 100px;
        height: 100px;
        font-size: 0.8rem;
    }
    .cta-text img {
        width: 100px;
    }
    html {
        --navbar-height: 75px;
        --font-size: 15px;
    }
    .btn {
        padding: 10px 23px
    }
    .menu-open svg {
        width: 1.75rem;
    }
    .logo img {
        width: 45px;
    }
    .scroller {
        padding: var(--gap-small) 0;
    }
    .scrolling-content-item {
        font-size: 1.5rem;
    }
    .footer-wrapper {
        padding: var(--gap) 0;
    }
    .section-image-design-2 {
        top: 0;
        left: 0;
        width: 50px;
    }
    .section-image-design-1 {
        display: none;
    }
    .section-image-design-3 img {
        height: 20px;
    }
    body {
        background: linear-gradient(90deg, var(--bg) 0%, rgba(0, 0, 0, 0) 50%, var(--bg) 100%), url("/assets/img/backgrounds/body-bg-tall.png"), var(--bg);
    }
    .hero.cover.cover-main {
        background-image: radial-gradient( ellipse closest-side, rgba(0, 0, 0, 0.5), var(--bg) ), url('/assets/img/backgrounds/hero-bg-tall.png');
    }
    .article-meta h1 {
        font-size: 2.5rem;
    }
    .article h1 {
        font-size: 2rem;
    }
    .article-meta-items {
        display: grid;
        grid-template-columns: 1fr 1fr;
        padding: var(--gap);
        gap: var(--gap);
    }
    .article-meta-item-divider {
        display: none;
    }
    .article-meta-item {
        justify-content: start;
        padding: 0;
    }
    .video-page-grid {
        grid-template-columns: 1fr;
    }
}

@media only screen and (max-width: 500px) {
    .cta-text {
        font-size: clamp(3rem, 17vw, 8rem);
        text-align: center;
        line-height: 1.25;
    }
    .cta-text svg {
        display: none;
    }
    .cta-btn {
        width: 100px;
        height: 100px;
        font-size: 0.8rem;
        position: absolute;
        left: 50%;
        top: 50%;
        transform: translate(-50%, -50%);

    }
    .cta-text img {
        width: 100px;
    }
    .cta-content {
        position: relative;
    }
    .subtitle::after {
        width: 25px;
    }
    @keyframes subtitle-move {
        50% {
            width: 50px;
        }
    }
    .hero-content h1 {
        font-size: 2.75rem;
    }
    .stats {
        display: grid;
        grid-template-columns: 1fr 1fr;
        gap: var(--gap);
    }
    .stat-border {
        display: none;
    }
    .grid-videos {
        gap: 10px;
    }
    .section-images {
        height: 300px;
    }
    .section-images.section-images-video {
        height: inherit !important;
    }
    .grid-video-label {
        padding: 15px;
    }
    .article-meta-items {
        grid-template-columns: 1fr;
    }
}

@media only screen and (max-width: 350px) {
    .navbar-section-mobile {
        display: none;
    }
}